package com.zanxiang.manage.controller;

import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.manage.domain.vo.ChannelChoiceVO;
import com.zanxiang.manage.service.ChannelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 渠道管理接口
 */
@Api(tags = {"渠道管理接口"})
@RestController
@RequestMapping("/channel")
@Slf4j
public class ChannelController {

    @Autowired
    private ChannelService channelService;

    @ApiOperation(value = "渠道选择列表查询")
    @GetMapping(value = "/choice/list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = ChannelChoiceVO.class, responseContainer = "list")})
    public ResultVo<List<ChannelChoiceVO>> choiceList() {
        return new ResultVo<>(channelService.choiceList());
    }
}
