package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.manage.domain.params.GamePayWayListParam;
import com.zanxiang.manage.domain.params.GamePayWayParam;
import com.zanxiang.manage.domain.vo.GamePayWayListVO;
import com.zanxiang.manage.service.GamePayWayService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 游戏支付配置表 前端控制器
 *
 * @author xufeng
 * @date 2022-06-30 14:22
 */
@Api(tags = "游戏支付配置")
@RestController
@RequestMapping("/game-pay-way")
public class GamePayWayController {

    @Autowired
    private GamePayWayService gamePayWayService;

    @ApiOperation(value = "新增/编辑/删除")
    @PostMapping(value = "/save")
    public ResultVo<Boolean> save(@Validated @RequestBody GamePayWayParam param) {
        return ResultVo.ok(gamePayWayService.saveOrUpdate(param));
    }

    @ApiOperation(value = "列表")
    @PostMapping(value = "/list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GamePayWayListVO.class, responseContainer = "list")})
    public ResultVo<IPage<GamePayWayListVO>> list(@Validated @RequestBody GamePayWayListParam param) {
        return ResultVo.ok(gamePayWayService.list(param));
    }
}
