package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GamePayWayListParam;
import com.zanxiang.manage.domain.params.GamePayWayParam;
import com.zanxiang.manage.domain.vo.GamePayWayListVO;
import com.zanxiang.manage.domain.vo.GamePayWayVO;
import com.zanxiang.mybatis.entity.GamePayWay;

import java.util.List;

/**
 * 游戏支付配置表 服务类接口
 *
 * @author xufeng
 * @date 2022-06-30 14:22
 */
public interface GamePayWayService extends IService<GamePayWay> {

    /**
     * 根据游戏id查询
     *
     * @param gameId
     * @return
     */
    List<GamePayWayVO> getByGameId(Long gameId);

    /**
     * 游戏配置更新/保存/删除
     *
     * @param bo
     * @return
     */
    Boolean saveOrUpdate(GamePayWayParam bo);

    /**
     * 带分页列表
     *
     * @param param
     * @return
     */
    IPage<GamePayWayListVO> list(GamePayWayListParam param);
}
