package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.vo.GamePictureVO;
import com.zanxiang.manage.service.GamePictureService;
import com.zanxiang.mybatis.entity.GamePicture;
import com.zanxiang.mybatis.mapper.GamePictureMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏图片
 */
@Slf4j
@Service
public class GamePictureServiceImpl extends ServiceImpl<GamePictureMapper, GamePicture> implements GamePictureService {

    /**
     * 根据游戏id查询
     *
     * @param gameId : 游戏id
     * @return 返回游戏图片信息
     */
    @Override
    public GamePictureVO getByGameId(Long gameId) {
        GamePicture gamePicture = super.getOne(new LambdaQueryWrapper<GamePicture>().eq(GamePicture::getGameId, gameId));
        if (gamePicture == null) {
            gamePicture = GamePicture.builder().gameId(gameId).build();
        }
        return BeanUtils.copy(gamePicture, GamePictureVO.class);
    }
}
