package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 支付表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("h_order")
public class Order {

    /**
     * 自增ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * cpId
     */
    private String cpId;

    /**
     * CP订单号
     */
    private String cpOrderId;

    /**
     * 充值用户
     */
    private String userId;

    /**
     * 游戏玩家ID
     */
    private String mgUserId;

    /**
     * 角色
     */
    private String roleId;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 货物总价
     */
    private BigDecimal amount;

    /**
     * 实际支付金额
     */
    private BigDecimal realAmount;

    /**
     * 游戏商品ID
     */
    private String productId;

    /**
     * 游戏商品数量
     */
    private Integer productCnt;

    /**
     * 游戏商品名称
     */
    private String productName;

    /**
     * 优惠券抵扣
     */
    private BigDecimal couponAmount;

    /**
     * 平台币使用金额
     */
    private BigDecimal ptbAmount;

    /**
     * 游戏币使用余额
     */
    private BigDecimal gmAmount;

    /**
     * 使用积分
     */
    private Integer integral;

    /**
     * 使用积分抵多少钱
     */
    private BigDecimal integralMoney;

    /**
     * 返利数量 默认为0
     */
    private BigDecimal rebateAmount;

    /**
     * 支付平台返回交易订单号
     */
    private String merchantOrderNo;

    /**
     * 支付状态，1待支付，2 支付成功，-1 已取消
     */
    private Integer status;

    /**
     * 支付方式
     */
    private String gamePaywayId;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 通知次数
     */
    private Integer cpNotifyCnt;

    /**
     * 最近通知时间
     */
    private LocalDateTime lastCpNotifyTime;

    /**
     * 客服处理： 2正常； 1纠纷
     */
    private Integer isHandle;

    /**
     * 是否已分成  1未分成 2 已分成
     */
    private Integer isDistribute;

    /**
     * 是否切量  0 否 1 是
     */
    private Integer isSwitch;

    /**
     * CP通知状态，1为待处理，2为成功，-1为失败
     */
    private Integer cpStatus;

    /**
     * CP附加参数
     */
    private String ext;

    /**
     * 用户备注
     */
    private String memNote;

    /**
     * 管理员备注
     */
    private String adminNote;

    /**
     * 订单成功备注信息
     */
    private String remark;

    /**
     * 渠道
     */
    private String channel;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 0正常 1删除
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 是否首充 0 否 1 是
     */
    private Integer isFirstRecharge;

    /**
     * 操作系统
     */
    private String fromDevice;

    private String payDevice;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}