package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-09
 * @description : 发送短信参数
 */
@Data
public class SmsSendParam {

    /**
     * 验证码类型
     */
    @ApiModelProperty(notes = "验证码类型")
    @JsonAlias("sms-type")
    @NotNull(message = "验证码类型不可为空")
    private Integer type;

    /**
     * 手机号码
     */
    @ApiModelProperty(notes = "手机号码")
    @JsonAlias("sms-mobile")
    @NotBlank(message = "手机号码不可为空")
    private String mobile;
}
